NXOpen.UF.Drf.CreateConcirDim

Drf.CreateConcirDim()

Refer to UF_DRF_create_concir_dim for documentation.

Signature: CreateConcirDim(object1, object2, drfText, dimension3dOrigin)

Parameters:
  • object1 (NXOpen.UF.Drf.Object Refer to UF_DRF_object_s for documentation.) – Data of first arc object (see uf_drf_types.h) Valid object types: arc, circle solid curve, cylindrical face
  • object2 – Data of second arc object (see uf_drf_types.h)
  • drfText (NXOpen.UF.Drf.Text Refer to UF_DRF_text_s for documentation.) – Associated text (see uf_drf_types.h)
  • dimension3dOrigin (list of float) – 3d dimension origin in wcs coordinates
Returns:

Object tag of created circular dimension initialized to NULL_TAG because legacy programs processed returned NULL_TAG as an error.

Return type:

Tag

License requirements: DRAFTING